MCP Tools Reference: ces.googleapis.com

工具:create_app

在指定專案和位置建立新應用程式。

下列程式碼範例說明如何使用 curl 呼叫 create_app MCP 工具。

Curl 要求
curl --location 'https://ces.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "create_app",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

輸入內容的結構定義

AgentService.CreateApp 的要求訊息。

CreateAppRequest

JSON 表示法
{
  "parent": string,
  "appId": string,
  "app": {
    object (App)
  }
}
欄位
parent

string

這是必要旗標,要在其中建立應用程式的位置資源名稱。

appId

string

選用。應用程式要使用的 ID,會成為應用程式資源名稱的最終元件。如未提供,系統會自動為應用程式指派專屬 ID。

app

object (App)

這是必要旗標,要建立的應用程式。

應用程式

JSON 表示法
{
  "name": string,
  "displayName": string,
  "description": string,
  "pinned": boolean,
  "rootAgent": string,
  "languageSettings": {
    object (LanguageSettings)
  },
  "timeZoneSettings": {
    object (TimeZoneSettings)
  },
  "audioProcessingConfig": {
    object (AudioProcessingConfig)
  },
  "loggingSettings": {
    object (LoggingSettings)
  },
  "errorHandlingSettings": {
    object (ErrorHandlingSettings)
  },
  "modelSettings": {
    object (ModelSettings)
  },
  "toolExecutionMode": enum (ToolExecutionMode),
  "evaluationMetricsThresholds": {
    object (EvaluationMetricsThresholds)
  },
  "variableDeclarations": [
    {
      object (VariableDeclaration)
    }
  ],
  "predefinedVariableDeclarations": [
    {
      object (VariableDeclaration)
    }
  ],
  "globalInstruction": string,
  "guardrails": [
    string
  ],
  "dataStoreSettings": {
    object (DataStoreSettings)
  },
  "defaultChannelProfile": {
    object (ChannelProfile)
  },
  "metadata": {
    string: string,
    ...
  },
  "createTime": string,
  "updateTime": string,
  "etag": string,
  "deploymentCount": integer,
  "clientCertificateSettings": {
    object (ClientCertificateSettings)
  },
  "vpcScSettings": {
    object (VpcScSettings)
  },
  "locked": boolean,
  "validationErrors": [
    string
  ],
  "dashboardSettings": {
    object (DashboardSettings)
  }
}
欄位
name

string

ID。應用程式的專屬 ID。格式:projects/{project}/locations/{location}/apps/{app}

displayName

string

這是必要旗標,應用程式的顯示名稱。

description

string

選用。應用程式的說明,方便使用者閱讀。

pinned

boolean

選用。應用程式是否已釘選在應用程式清單中。

rootAgent

string

選用。根代理程式是應用程式的進入點。格式:projects/{project}/locations/{location}/apps/{app}/agents/{agent}

languageSettings

object (LanguageSettings)

選用。應用程式的語言設定。

timeZoneSettings

object (TimeZoneSettings)

選用。應用程式的時區設定。

audioProcessingConfig

object (AudioProcessingConfig)

選用。應用程式的音訊處理設定。

loggingSettings

object (LoggingSettings)

選用。應用程式的記錄設定。

errorHandlingSettings

object (ErrorHandlingSettings)

選用。應用程式的錯誤處理設定。

modelSettings

object (ModelSettings)

選用。應用程式的預設 LLM 模型設定。個別資源 (例如代理程式、安全防護措施) 可視需要覆寫這些設定。

toolExecutionMode

enum (ToolExecutionMode)

選用。應用程式的工具執行模式。如未提供,則預設為 PARALLEL。

evaluationMetricsThresholds

object (EvaluationMetricsThresholds)

選用。應用程式的評估門檻。

variableDeclarations[]

object (VariableDeclaration)

選用。變數的宣告。

predefinedVariableDeclarations[]

object (VariableDeclaration)

僅供輸出。應用程式的預先定義變數宣告。

globalInstruction

string

選用。應用程式中所有代理程式的指令。您可以使用這項指令,為所有代理程式設定穩定的身分或個性。

guardrails[]

string

選用。應用程式的防護措施清單。格式:projects/{project}/locations/{location}/apps/{app}/guardrails/{guardrail}

dataStoreSettings

object (DataStoreSettings)

選用。應用程式的資料儲存庫設定。

defaultChannelProfile

object (ChannelProfile)

選用。應用程式使用的預設管道設定檔。

metadata

map (key: string, value: string)

選用。應用程式的中繼資料。這個欄位可用於儲存與應用程式詳細資料或預期用途相關的其他資訊。

包含 "key": value 組合清單的物件,例如 { "name": "wrench", "mass": "1.3kg", "count": "3" }。

createTime

string (Timestamp format)

僅供輸出。應用程式的建立時間戳記。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z"、"2014-10-02T15:01:23.045123456Z" 或 "2014-10-02T15:01:23+05:30"。

updateTime

string (Timestamp format)

僅供輸出。應用程式上次更新的時間戳記。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z"、"2014-10-02T15:01:23.045123456Z" 或 "2014-10-02T15:01:23+05:30"。

etag

string

僅供輸出。Etag 用於確保物件在讀取 - 修改 - 寫入作業期間未變更。如果 etag 為空,更新作業會覆寫任何並行變更。

deploymentCount

integer

僅供輸出。應用程式中的部署數量。

clientCertificateSettings

object (ClientCertificateSettings)

選用。應用程式的預設用戶端憑證設定。

vpcScSettings

object (VpcScSettings)

選用。應用程式的 VPC-SC 設定。

locked

boolean

選用。指出應用程式是否已鎖定,無法進行變更。如果應用程式已鎖定,系統會拒絕修改應用程式資源。

validationErrors[]

string

僅供輸出。應用程式中的設定錯誤或警告。

dashboardSettings

object (DashboardSettings)

選用。應用程式專屬的資訊主頁設定,用於連結及設定 Contact Center Insights 資訊主頁。

LanguageSettings

JSON 表示法
{
  "defaultLanguageCode": string,
  "supportedLanguageCodes": [
    string
  ],
  "enableMultilingualSupport": boolean,
  "fallbackAction": string
}
欄位
defaultLanguageCode

string

選用。應用程式的預設語言代碼。

supportedLanguageCodes[]

string

選用。應用程式支援的語言代碼清單 (不含 default_language_code)。

enableMultilingualSupport

boolean

選用。啟用多語言支援。如果設為 true,應用程式中的代理程式會使用預先建構的指令,提升處理多語言輸入內容的效率。

fallbackAction
(deprecated)

string

選用。已淘汰:系統不再支援這項功能。請改用 enable_multilingual_support,提升多語言輸入的處理效果。當服務專員收到不支援的語言輸入內容時,應執行的動作。

可以是預先定義的動作或自訂工具呼叫。有效值包括:- 工具的完整資源名稱,可觸發特定工具執行作業。- 預先定義的系統動作,例如「升級」或「結束」,這會觸發含有相應 metadata 的 EndSession 信號,以終止對話。

TimeZoneSettings

JSON 表示法
{
  "timeZone": string
}
欄位
timeZone

string

選用。應用程式的時區 (來自時區資料庫),例如 America/Los_Angeles、Europe/Paris。

AudioProcessingConfig

JSON 表示法
{
  "synthesizeSpeechConfigs": {
    string: {
      object (SynthesizeSpeechConfig)
    },
    ...
  },
  "bargeInConfig": {
    object (BargeInConfig)
  },
  "inactivityTimeout": string,
  "ambientSoundConfig": {
    object (AmbientSoundConfig)
  },
  "customVoiceSamples": [
    {
      object (CustomVoiceSample)
    }
  ]
}
欄位
synthesizeSpeechConfigs

map (key: string, value: object (SynthesizeSpeechConfig))

選用。代理程式回應的合成方式設定,從語言代碼對應至 SynthesizeSpeechConfig。

如果找不到指定語言代碼的設定,系統會使用根語言代碼的設定。舉例來說,如果地圖包含「en-us」和「en」,且指定的語言代碼為「en-gb」,則會使用「en」設定。

注意:語言代碼不區分大小寫。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }。

bargeInConfig

object (BargeInConfig)

選用。設定使用者插話活動的服務專員行為。

inactivityTimeout

string (Duration format)

選用。代理程式提示使用者重新互動前,使用者無活動 (沒有語音或互動) 的時間長度。如果不設定,服務專員就不會提示使用者重新參與。

以秒為單位的時間長度,最多 9 個小數位數,結尾為「s」。示例:"3.5s"。

ambientSoundConfig

object (AmbientSoundConfig)

選用。設定要與合成的服務專員回覆內容一起播放的環境音效,提升對話的自然程度。

customVoiceSamples[]

object (CustomVoiceSample)

選用。設定語音複製功能的自訂語音樣本。

SynthesizeSpeechConfigsEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (SynthesizeSpeechConfig)
  }
}
欄位
key

string

value

object (SynthesizeSpeechConfig)

SynthesizeSpeechConfig

JSON 表示法
{
  "voice": string,
  "speakingRate": number,
  "model": string,
  "instruction": string
}
欄位
voice

string

選用。語音的名稱。如未設定,服務會根據其他參數 (例如 language_code) 選擇語音。

如需可用語音清單,請參閱 Cloud Text-to-Speech 的「支援的語音和語言」。

speakingRate

number

選用。語音速率/速度,範圍為 [0.25, 2.0]。1.0 為特定語音支援的正常原生速度。2.0 為兩倍速,0.5 為一半的速度。如果值超出 [0.25, 2.0] 範圍,系統會傳回錯誤。

model

string

選用。用於合成音訊的模型。目前支援的值:-「gemini-3.1-flash-tts-preview」。如果為空白,系統會使用 Chirp3-HD。

instruction

string

選用。使用生成模型合成語音時的指令。

BargeInConfig

JSON 表示法
{
  "disableBargeIn": boolean,
  "bargeInAwareness": boolean
}
欄位
disableBargeIn
(deprecated)

boolean

選用。已淘汰:已淘汰 ChannelProfile 中的 disable_barge_in,改用 disable_barge_in_control。

禁止使用者在代理程式說話時插話。設為 true 時,系統會忽略代理程式回覆播放期間的使用者輸入內容。

bargeInAwareness

boolean

選用。啟用後,代理程式會根據使用者未聽完先前代理程式訊息的假設,調整下一次的回覆。如果代理程式回覆會以視覺化方式顯示,則不應使用這項功能。

時間長度

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
欄位
seconds

string (int64 format)

時間範圍的秒數 (可為負值)。必須介於 -315,576,000,000 至 +315,576,000,000 之間 (含這兩個值)。注意:這些界限是根據以下公式計算得出:60 秒/分 * 60 分/時 * 24 時/天 * 365.25 天/年 * 10000 年

nanos

integer

時間跨度 (以奈秒為單位) 的正負秒數。如果時間長度不到一秒,系統會以 0 seconds 欄位和正數或負數 nanos 欄位表示。如果時間長度為一秒以上,nanos 欄位的非零值必須與 seconds 欄位相同。值必須介於 -999,999,999 到 +999,999,999 之間 (含)。

AmbientSoundConfig

JSON 表示法
{
  "volumeGainDb": number,

  // Union field source can be only one of the following:
  "prebuiltAmbientNoise": enum (PrebuiltAmbientNoise),
  "gcsUri": string,
  "prebuiltAmbientSound": string
  // End of list of possible types for union field source.
}
欄位
volumeGainDb

number

選用。環境噪音支援的正常原生音量增益 (以分貝為單位),範圍為 [-96.0, 16.0]。如果設為 0.0 (dB) 或不予設定,系統會以正常原生訊號振幅播放。如果設為 -6.0 (dB),系統會以約為正常原生訊號振幅的一半振幅播放。如果設為 +6.0 (dB),系統會以約為正常原生訊號振幅的兩倍振幅播放。強烈建議您不要設定超過 +10 (dB) 的值,因為在超過這個值之後,通常就無法有效提高音量。

聯集欄位 source。與合成的服務專員回覆內容一起播放的環境噪音,可提升對話的自然度。source 只能是下列其中一個設定:
prebuiltAmbientNoise
(deprecated)

enum (PrebuiltAmbientNoise)

選用。已淘汰:已淘汰 prebuilt_ambient_noise,改用 prebuilt_ambient_sound。

gcsUri

string

選用。環境噪音,以單聲道 16 kHz WAV 檔案的形式儲存在 Cloud Storage 中。

注意:請確認 CES 服務代理 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com 具有 Cloud Storage 物件的 storage.objects.get 權限。

prebuiltAmbientSound

string

選用。預建環境音效的名稱。有效值包括:-「coffee_shop」-「keyboard」-「keypad」-「hum」-「office_1」-「office_2」-「office_3」-「room_1」-「room_2」-「room_3」-「room_4」-「room_5」-「air_conditioner」

CustomVoiceSample

JSON 表示法
{
  "name": string,
  "voiceSampleGcsUri": string,
  "consentAudioGcsUri": string,
  "voiceInstruction": string,
  "previewAudioContent": string,
  "previewText": string,
  "warnings": [
    {
      object (Warning)
    }
  ],
  "voiceInstructionMode": enum (VoiceInstructionMode)
}
欄位
name

string

選用。自訂語音樣本的使用者定義名稱。

voiceSampleGcsUri

string

選用。用於語音複製的音訊樣本 Cloud Storage URI。音訊樣本應為單聲道、24kHz 的 WAV 檔案。

consentAudioGcsUri

string

選用。同意複製語音。

voiceInstruction

string

選用。以自然語言指定語音風格、語氣、節奏或發音。

previewAudioContent

string (bytes format)

僅供輸出。自訂語音的合成預覽音訊,格式為標準 WAV (LINEAR16、24kHz、16 位元、單聲道)。

Base64 編碼字串。

previewText

string

選用。用於合成 Custom Voice 預覽音訊的文字。

warnings[]

object (Warning)

僅供輸出。語音複製處理期間遇到的警告訊息 (例如音訊音量偏低)。

voiceInstructionMode

enum (VoiceInstructionMode)

選用。語音樣本的指令模式。如未指定,則預設為 NO_INSTRUCTION。

警告

JSON 表示法
{
  "message": string,
  "type": enum (WarningType)
}
欄位
message

string

僅供輸出。使用者可理解的警告說明。

type

enum (WarningType)

僅供輸出。警告類型。

LoggingSettings

JSON 表示法
{
  "redactionConfig": {
    object (RedactionConfig)
  },
  "audioRecordingConfig": {
    object (AudioRecordingConfig)
  },
  "unredactedAudioRecordingConfig": {
    object (AudioRecordingConfig)
  },
  "bigqueryExportSettings": {
    object (BigQueryExportSettings)
  },
  "unredactedBigqueryExportSettings": {
    object (BigQueryExportSettings)
  },
  "cloudLoggingSettings": {
    object (CloudLoggingSettings)
  },
  "conversationLoggingSettings": {
    object (ConversationLoggingSettings)
  },
  "evaluationAudioRecordingConfig": {
    object (AudioRecordingConfig)
  },
  "metricAnalysisSettings": {
    object (MetricAnalysisSettings)
  }
}
欄位
redactionConfig

object (RedactionConfig)

選用。如何遮蓋機密資料的設定。

audioRecordingConfig

object (AudioRecordingConfig)

選用。設定如何錄製語音互動。音訊會根據 RedactionConfig 中的設定進行編輯。

unredactedAudioRecordingConfig

object (AudioRecordingConfig)

選用。設定額外錄製未經過編輯的音訊。這項功能可用於在音訊編輯enabled時保留原始音訊副本,通常是為了稽核或監控。

bigqueryExportSettings

object (BigQueryExportSettings)

選用。設定應用程式的 BigQuery 匯出行為。對話資料會根據 RedactionConfig 中的設定進行編輯。

unredactedBigqueryExportSettings

object (BigQueryExportSettings)

選用。設定應用程式的 BigQuery 匯出行為。如果啟用這項功能,系統會將未經過編輯的對話資料匯出至 BigQuery 資料表。

cloudLoggingSettings

object (CloudLoggingSettings)

選用。用於說明應用程式 Cloud Logging 行為的設定。

conversationLoggingSettings

object (ConversationLoggingSettings)

選用。設定,用於說明應用程式的對話記錄行為。

evaluationAudioRecordingConfig

object (AudioRecordingConfig)

選用。設定如何記錄音訊互動以供評估。根據預設,評估工作階段不會啟用音訊錄音功能。

metricAnalysisSettings

object (MetricAnalysisSettings)

選用。設定,用於說明應用程式的 LLM 分析管道對話資料收集行為。

RedactionConfig

JSON 表示法
{
  "enableRedaction": boolean,
  "inspectTemplate": string,
  "deidentifyTemplate": string
}
欄位
enableRedaction

boolean

選用。如為 true,系統會在各種記錄情境中套用遮蓋功能,包括對話記錄、Cloud Logging 和音訊錄音。

inspectTemplate

string

選用。DLP檢查範本名稱,設定機密資料類型偵測功能。

格式:projects/{project}/locations/{location}/inspectTemplates/{inspect_template}

deidentifyTemplate

string

選用。DLP 去識別化範本名稱,用於指示如何將內容去識別化。

格式:projects/{project}/locations/{location}/deidentifyTemplates/{deidentify_template}

AudioRecordingConfig

JSON 表示法
{
  "gcsBucket": string,
  "gcsPathPrefix": string
}
欄位
gcsBucket

string

選用。用於儲存通話錄音的 Cloud Storage bucket。URI 開頭必須是「gs://」。

請選擇符合資料落地要求的 bucket 位置。

注意:如果 Cloud Storage bucket 與應用程式位於不同專案,請將 storage.objects.create 權限授予 CES 服務代理程式 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com。

gcsPathPrefix

string

選用。音訊錄音的 Cloud Storage 路徑前置字串。

這個前置字串可包含下列預留位置,系統會在放送時動態替換: - $project:專案 ID - $location:應用程式位置 - $app:應用程式 ID - $date:工作階段日期,格式為 YYYY-MM-DD - $session:工作階段 ID

如未指定路徑前置字元,系統會使用預設前置字元 $project/$location/$app/$date/$session/。

BigQueryExportSettings

JSON 表示法
{
  "enabled": boolean,
  "project": string,
  "dataset": string
}
欄位
enabled

boolean

選用。指出是否已啟用 BigQuery 匯出功能。

project

string

選用。要匯出資料的 BigQuery 資料集專案 ID。

注意:如果 BigQuery 資料集與應用程式位於不同專案,請將 roles/bigquery.admin 角色授予 CES 服務代理程式 service-<PROJECT-NUMBER>@gcp-sa-ces.iam.gserviceaccount.com。

dataset

string

選用。要匯出資料的 BigQuery 資料集 ID。

CloudLoggingSettings

JSON 表示法
{
  "enableCloudLogging": boolean
}
欄位
enableCloudLogging

boolean

選用。是否要為工作階段啟用 Cloud Logging。

ConversationLoggingSettings

JSON 表示法
{
  "disableConversationLogging": boolean,
  "retentionWindow": string
}
欄位
disableConversationLogging

boolean

選用。是否要停用工作階段的對話記錄功能。

retentionWindow

string (Duration format)

選用。控制對話的保留期。如未設定,對話會保留 365 天。

以秒為單位的時間長度,最多 9 個小數位數,結尾為「s」。示例:"3.5s"。

MetricAnalysisSettings

JSON 表示法
{
  "llmMetricsOptedOut": boolean
}
欄位
llmMetricsOptedOut

boolean

選用。是否要收集對話資料,以取得 LLM 分析指標。如果為 true,系統就不會收集對話資料,用於 LLM 分析指標;否則系統會收集對話資料。

ErrorHandlingSettings

JSON 表示法
{
  "errorHandlingStrategy": enum (ErrorHandlingStrategy),
  "fallbackResponseConfig": {
    object (FallbackResponseConfig)
  },
  "endSessionConfig": {
    object (EndSessionConfig)
  }
}
欄位
errorHandlingStrategy

enum (ErrorHandlingStrategy)

選用。用於錯誤處理的策略。

fallbackResponseConfig

object (FallbackResponseConfig)

選用。用於處理備援回應的設定。

endSessionConfig

object (EndSessionConfig)

選用。設定在發生系統錯誤 (例如 LLM 錯誤) 時結束工作階段。

FallbackResponseConfig

JSON 表示法
{
  "customFallbackMessages": {
    string: string,
    ...
  },
  "maxFallbackAttempts": integer
}
欄位
customFallbackMessages

map (key: string, value: string)

選用。系統發生錯誤 (例如 LLM 錯誤) 時的備用訊息,會依支援的語言代碼對應。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }。

maxFallbackAttempts

integer

選用。代理程式發出 EndSession 信號前,最多可嘗試回溯的次數。

CustomFallbackMessagesEntry

JSON 表示法
{
  "key": string,
  "value": string
}
欄位
key

string

value

string

EndSessionConfig

JSON 表示法
{

  // Union field _escalate_session can be only one of the following:
  "escalateSession": boolean
  // End of list of possible types for union field _escalate_session.
}
欄位

聯集欄位 _escalate_session。

_escalate_session 只能是下列之一:

escalateSession

boolean

選用。是否要在 EndSession 中升級工作階段。如果工作階段已升級,metadata in EndSession 會包含 session_escalated = true。詳情請參閱 https://docs.cloud.google.com/customer-engagement-ai/conversational-agents/ps/deploy/google-telephony-platform#transfer_a_call_to_a_human_agent。

ModelSettings

JSON 表示法
{
  "model": string,
  "thinkingLevel": enum (ThinkingLevel),

  // Union field _temperature can be only one of the following:
  "temperature": number
  // End of list of possible types for union field _temperature.
}
欄位
model

string

選用。代理程式應使用的 LLM 模型。如未設定,代理程式會沿用上層代理程式的模型。

thinkingLevel

enum (ThinkingLevel)

選用。模型的思考程度。

聯集欄位 _temperature。

_temperature 只能是下列之一:

temperature

number

選用。如果設定了這個值,系統就會將其用於 LLM 模型。溫度參數會決定模型回覆的隨機程度。溫度越低,生成的回覆就越容易預測。溫度越高,生成的回覆就越有創意。

EvaluationMetricsThresholds

JSON 表示法
{
  "goldenEvaluationMetricsThresholds": {
    object (GoldenEvaluationMetricsThresholds)
  },
  "hallucinationMetricBehavior": enum (HallucinationMetricBehavior),
  "goldenHallucinationMetricBehavior": enum (HallucinationMetricBehavior),
  "scenarioHallucinationMetricBehavior": enum (HallucinationMetricBehavior)
}
欄位
goldenEvaluationMetricsThresholds

object (GoldenEvaluationMetricsThresholds)

選用。黃金評估指標門檻。

hallucinationMetricBehavior
(deprecated)

enum (HallucinationMetricBehavior)

選用。已淘汰:請改用 golden_hallucination_metric_behavior。目前黃金評估作業會使用幻覺指標行為。

goldenHallucinationMetricBehavior

enum (HallucinationMetricBehavior)

選用。標準答案評估的錯覺指標行為。

scenarioHallucinationMetricBehavior

enum (HallucinationMetricBehavior)

選用。情境評估的錯覺指標行為。

GoldenEvaluationMetricsThresholds

JSON 表示法
{
  "turnLevelMetricsThresholds": {
    object (TurnLevelMetricsThresholds)
  },
  "expectationLevelMetricsThresholds": {
    object (ExpectationLevelMetricsThresholds)
  },
  "toolMatchingSettings": {
    object (ToolMatchingSettings)
  }
}
欄位
turnLevelMetricsThresholds

object (TurnLevelMetricsThresholds)

選用。回合層級指標的門檻。

expectationLevelMetricsThresholds

object (ExpectationLevelMetricsThresholds)

選用。期望等級指標門檻。

toolMatchingSettings

object (ToolMatchingSettings)

選用。工具比對設定。額外工具呼叫是指執行作業中出現的工具呼叫,但與黃金期望中的任何工具呼叫都不相符。

TurnLevelMetricsThresholds

JSON 表示法
{
  "semanticSimilarityChannel": enum (SemanticSimilarityChannel),

  // Union field _semantic_similarity_success_threshold can be only one of the
  // following:
  "semanticSimilaritySuccessThreshold": integer
  // End of list of possible types for union field
  // _semantic_similarity_success_threshold.

  // Union field _overall_tool_invocation_correctness_threshold can be only one
  // of the following:
  "overallToolInvocationCorrectnessThreshold": number
  // End of list of possible types for union field
  // _overall_tool_invocation_correctness_threshold.
}
欄位
semanticSimilarityChannel

enum (SemanticSimilarityChannel)

選用。用於評估的語意相似度管道。

聯集欄位 _semantic_similarity_success_threshold。

_semantic_similarity_success_threshold 只能是下列之一:

semanticSimilaritySuccessThreshold

integer

選用。語意相似度的成功門檻。必須是介於 0 到 4 之間的整數。預設值為 >= 3。

聯集欄位 _overall_tool_invocation_correctness_threshold。

_overall_tool_invocation_correctness_threshold 只能是下列之一:

overallToolInvocationCorrectnessThreshold

number

選用。整體工具叫用正確率的成功門檻。必須是介於 0 到 1 之間的浮點數。預設值為 1.0。

ExpectationLevelMetricsThresholds

JSON 表示法
{

  // Union field _tool_invocation_parameter_correctness_threshold can be only one
  // of the following:
  "toolInvocationParameterCorrectnessThreshold": number
  // End of list of possible types for union field
  // _tool_invocation_parameter_correctness_threshold.
}
欄位

聯集欄位 _tool_invocation_parameter_correctness_threshold。

_tool_invocation_parameter_correctness_threshold 只能是下列之一:

toolInvocationParameterCorrectnessThreshold

number

選用。個別工具叫用參數正確性的成功門檻。必須是介於 0 到 1 之間的浮點數。預設值為 1.0。

ToolMatchingSettings

JSON 表示法
{
  "extraToolCallBehavior": enum (ExtraToolCallBehavior)
}
欄位
extraToolCallBehavior

enum (ExtraToolCallBehavior)

選用。額外工具呼叫的行為。預設值為 FAIL。

VariableDeclaration

JSON 表示法
{
  "name": string,
  "description": string,
  "schema": {
    object (Schema)
  }
}
欄位
name

string

這是必要旗標,變數名稱。名稱只能使用英文字母、數字或底線,開頭須為英文字母或底線。

description

string

這是必要旗標,變數的說明。

schema

object (Schema)

這是必要旗標,變數的結構定義。

結構定義

JSON 表示法
{
  "type": enum (Type),
  "properties": {
    string: {
      object (Schema)
    },
    ...
  },
  "required": [
    string
  ],
  "description": string,
  "items": {
    object (Schema)
  },
  "nullable": boolean,
  "uniqueItems": boolean,
  "prefixItems": [
    {
      object (Schema)
    }
  ],
  "additionalProperties": {
    object (Schema)
  },
  "anyOf": [
    {
      object (Schema)
    }
  ],
  "enum": [
    string
  ],
  "default": value,
  "ref": string,
  "defs": {
    string: {
      object (Schema)
    },
    ...
  },
  "title": string,
  "minItems": string,
  "maxItems": string,

  // Union field _minimum can be only one of the following:
  "minimum": number
  // End of list of possible types for union field _minimum.

  // Union field _maximum can be only one of the following:
  "maximum": number
  // End of list of possible types for union field _maximum.
}
欄位
type

enum (Type)

這是必要旗標,資料類型。

properties

map (key: string, value: object (Schema))

選用。Type.OBJECT 的屬性。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }。

required[]

string

選用。Type.OBJECT 的必要屬性。

description

string

選用。資料說明。

items

object (Schema)

選用。Type.ARRAY 元素的結構定義。

nullable

boolean

選用。指出值是否可能為空值。

uniqueItems

boolean

選用。指出陣列中的項目不得重複。僅適用於 TYPE.ARRAY。

prefixItems[]

object (Schema)

選用。Type.ARRAY 初始元素的結構定義。

additionalProperties

object (Schema)

選用。可以是布林值或物件,用於控管其他屬性的存在。

anyOf[]

object (Schema)

選用。系統應根據清單中的任何 (一或多個) 子結構定義驗證值。

enum[]

string

選用。可能的值為列舉格式的基本類型元素。範例:1. 我們可以將方向定義為:{type:STRING, format:enum, enum:["EAST", NORTH", "SOUTH", "WEST"]} 2. 我們可以將公寓號碼定義為:{type:INTEGER, format:enum, enum:["101", "201", "301"]}

default

value (Value format)

選用。資料的預設值。

ref

string

選用。允許在結構定義節點之間建立間接參照。此值應為根 defs 子項的有效參照。

舉例來說,下列結構定義會定義對名為「Pet」的結構定義節點的參照:

type: object
properties:
  pet:
    ref: #/defs/Pet
defs:
  Pet:
    type: object
    properties:
      name:
        type: string

「pet」屬性的值是參照名為「Pet」的結構定義節點。詳情請參閱 https://json-schema.org/understanding-json-schema/structuring。

defs

map (key: string, value: object (Schema))

選用。供 ref 使用的定義對應表。只能在結構定義的根層級使用。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }。

title

string

選用。架構的標題。

minItems

string (int64 format)

選用。Type.ARRAY 的元素數量下限。

maxItems

string (int64 format)

選用。Type.ARRAY 的元素數量上限。

聯集欄位 _minimum。

_minimum 只能是下列之一:

minimum

number

選用。Type.INTEGER 和 Type.NUMBER 的最小值。

聯集欄位 _maximum。

_maximum 只能是下列之一:

maximum

number

選用。Type.INTEGER 和 Type.NUMBER 的最大值。

PropertiesEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (Schema)
  }
}
欄位
key

string

value

object (Schema)

值

JSON 表示法
{

  // Union field kind can be only one of the following:
  "nullValue": null,
  "numberValue": number,
  "stringValue": string,
  "boolValue": boolean,
  "structValue": {
    object
  },
  "listValue": array
  // End of list of possible types for union field kind.
}
欄位
聯集欄位 kind。值的種類。kind 只能是下列其中一個設定:
nullValue

null

代表 JSON null。

numberValue

number

代表 JSON 數字。不得為 NaN、Infinity 或 -Infinity,因為 JSON 不支援這些字元。此外,JSON 格式一般不支援數字類型中的大型 Int64 值,因此這類值也無法表示。

stringValue

string

代表 JSON 字串。

boolValue

boolean

代表 JSON 布林值 (JSON 中的 true 或 false 常值)。

structValue

object (Struct format)

代表 JSON 物件。

listValue

array (ListValue format)

代表 JSON 陣列。

結構

JSON 表示法
{
  "fields": {
    string: value,
    ...
  }
}
欄位
fields

map (key: string, value: value (Value format))

動態型別值的無序對應。

包含 "key": value 組合清單的物件,範例:{ "name": "wrench", "mass": "1.3kg", "count": "3" }。

FieldsEntry

JSON 表示法
{
  "key": string,
  "value": value
}
欄位
key

string

value

value (Value format)

ListValue

JSON 表示法
{
  "values": [
    value
  ]
}
欄位
values[]

value (Value format)

動態型別值的重複欄位。

DefsEntry

JSON 表示法
{
  "key": string,
  "value": {
    object (Schema)
  }
}
欄位
key

string

value

object (Schema)

DataStoreSettings

JSON 表示法
{
  "engines": [
    {
      object (Engine)
    }
  ]
}
欄位
engines[]

object (Engine)

僅供輸出。應用程式的引擎。

引擎

JSON 表示法
{
  "name": string,
  "type": enum (Type)
}
欄位
name

string

僅供輸出。引擎的資源名稱。格式:projects/{project}/locations/{location}/collections/{collection}/engines/{engine}

type

enum (Type)

僅供輸出。引擎類型。

ChannelProfile

JSON 表示法
{
  "profileId": string,
  "channelType": enum (ChannelType),
  "personaProperty": {
    object (PersonaProperty)
  },
  "webWidgetConfig": {
    object (WebWidgetConfig)
  },
  "whatsappConfig": {
    object (WhatsAppConfig)
  },
  "instagramConfig": {
    object (InstagramConfig)
  },

  // Union field _disable_dtmf can be only one of the following:
  "disableDtmf": boolean
  // End of list of possible types for union field _disable_dtmf.

  // Union field _disable_barge_in_control can be only one of the following:
  "disableBargeInControl": boolean
  // End of list of possible types for union field _disable_barge_in_control.

  // Union field _noise_suppression_level can be only one of the following:
  "noiseSuppressionLevel": string
  // End of list of possible types for union field _noise_suppression_level.
}
欄位
profileId

string

選用。頻道設定檔的專屬 ID。

channelType

enum (ChannelType)

選用。管道設定檔的類型。

personaProperty

object (PersonaProperty)

選用。頻道個人資料的 persona 屬性。

webWidgetConfig

object (WebWidgetConfig)

選用。網頁小工具的設定。

whatsappConfig

object (WhatsAppConfig)

選用。WhatsApp 部署作業專用設定。

instagramConfig

object (InstagramConfig)

選用。Instagram 部署作業專用設定。

聯集欄位 _disable_dtmf。

_disable_dtmf 只能是下列之一:

disableDtmf

boolean

選用。是否要停用雙音多頻 (DTMF)。

聯集欄位 _disable_barge_in_control。

_disable_barge_in_control 只能是下列之一:

disableBargeInControl

boolean

選用。是否要在對話中停用使用者插話控制項。- true:代理程式說話時,系統會停用使用者中斷功能。- false:代理程式會保留自動控制權,決定使用者何時可以中斷。

聯集欄位 _noise_suppression_level。

_noise_suppression_level 只能是下列之一:

noiseSuppressionLevel

string

選用。頻道設定檔的雜訊抑制等級。可用值為「low」、「moderate」、「high」、「very_high」。

PersonaProperty

JSON 表示法
{
  "persona": enum (Persona)
}
欄位
persona

enum (Persona)

選用。頻道的角色。

WebWidgetConfig

JSON 表示法
{
  "modality": enum (Modality),
  "theme": enum (Theme),
  "webWidgetTitle": string,
  "securitySettings": {
    object (SecuritySettings)
  }
}
欄位
modality

enum (Modality)

選用。網頁小工具的模式。

theme

enum (Theme)

選用。網頁小工具的主題。

webWidgetTitle

string

選用。網頁小工具的標題。

securitySettings

object (SecuritySettings)

選用。網頁小工具的安全性設定。

SecuritySettings

JSON 表示法
{
  "enablePublicAccess": boolean,
  "enableOriginCheck": boolean,
  "allowedOrigins": [
    string
  ],
  "enableRecaptcha": boolean
}
欄位
enablePublicAccess

boolean

選用。指出是否已啟用公開存取網頁小工具。如果true,網頁小工具就會公開。如為 false,網頁小工具必須與您自己的驗證和授權系統整合,才能傳回存取 CES 代理程式的有效憑證。

enableOriginCheck

boolean

選用。指出是否已啟用網頁小工具的來源檢查。如果是 true,網頁小工具會檢查載入網頁小工具的網站來源,只允許在相同來源或任何允許的來源中載入。

allowedOrigins[]

string

選用。允許代管網頁小工具的來源。來源定義於 RFC 6454。如果留空,系統會允許所有來源。最多只能有 100 個來源,例如:「https://example.com」

enableRecaptcha

boolean

選用。指出是否已啟用網頁小工具的 reCAPTCHA 驗證。

WhatsAppConfig

JSON 表示法
{
  "wabaId": string,
  "phoneNumberId": string,
  "phoneNumber": string,
  "displayName": string,
  "thumbnailUrl": string,
  "description": string
}
欄位
wabaId

string

這是必要旗標,WhatsApp Business 帳戶 ID。

phoneNumberId

string

這是必要旗標,Meta 電話號碼 ID。

phoneNumber

string

選用。電話號碼,格式為 E.164。

displayName

string

僅供輸出。系統擷取的 Meta 商家專頁名稱。

thumbnailUrl

string

僅供輸出。擷取的 Meta 商家檔案縮圖網址。

description

string

僅供輸出。Meta 企業專頁或個人資料的說明。

InstagramConfig

JSON 表示法
{
  "instagramAccountId": string,
  "displayName": string,
  "thumbnailUrl": string,
  "description": string
}
欄位
instagramAccountId

string

這是必要旗標,Instagram 帳戶 ID。

displayName

string

僅供輸出。系統擷取的 Meta 商家專頁名稱。

thumbnailUrl

string

僅供輸出。擷取的 Meta 商家檔案縮圖網址。

description

string

僅供輸出。Meta 企業專頁或個人資料的說明。

MetadataEntry

JSON 表示法
{
  "key": string,
  "value": string
}
欄位
key

string

value

string

時間戳記

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
欄位
seconds

string (int64 format)

代表自 Unix 紀元 1970-01-01T00:00:00Z 起算的世界標準時間秒數。必須介於 -62135596800 和 253402300799 之間 (含),對應的時間範圍為 0001-01-01T00:00:00Z 至 9999-12-31T23:59:59Z。

nanos

integer

以奈秒為單位的非負秒數小數。這個欄位是時間長度的奈秒部分,並非秒數的替代值。如果秒數值為負數,且包含小數,奈秒值仍須為非負數,且會往前計算時間。必須介於 0 至 999,999,999 之間 (含)。

ClientCertificateSettings

JSON 表示法
{
  "tlsCertificate": string,
  "privateKey": string,
  "passphrase": string
}
欄位
tlsCertificate

string

這是必要旗標,以 PEM 格式編碼的 TLS 憑證。這個字串必須包含開頭標題和結尾頁尾行。

privateKey

string

這是必要旗標,儲存 PEM 格式編碼私密金鑰的 SecretManager 密鑰版本資源名稱。格式:projects/{project}/secrets/{secret}/versions/{version}

passphrase

string

選用。SecretManager Secret 版本資源的名稱,用於儲存解密私密金鑰的通關密語。如果私密金鑰未加密,則應保持未設定狀態。格式:projects/{project}/secrets/{secret}/versions/{version}

VpcScSettings

JSON 表示法
{
  "allowedOrigins": [
    string
  ]
}
欄位
allowedOrigins[]

string

選用。啟用 VPC Service Controls 時,應用程式中的 OpenAPI 工具可直接呼叫的允許 HTTP(s) 來源。這些字串必須與來源完全相符,包括指定的連接埠。例如「https://example.com」或「https://example.com:443」。這份清單目前不適用於可能會直接發出 HTTP 呼叫的 Python 工具。

DashboardSettings

JSON 表示法
{
  "defaultDashboard": string
}
欄位
defaultDashboard

string

選用。與應用程式相關聯的預設 Contact Center Insights 資訊主頁資源名稱。使用者瀏覽應用程式的「監控」檢視畫面時,系統會顯示這個資訊主頁。

格式:projects/{project}/locations/{location}/dashboards/{dashboard}

PrebuiltAmbientNoise

內建環境噪音。

列舉
PREBUILT_AMBIENT_NOISE_UNSPECIFIED 不指定。
RETAIL_STORE 零售商店的環境噪音。
CONVENTION_HALL 會議廳的環境噪音。
OUTDOOR 街道的環境噪音。

WarningType

處理語音樣本時遇到的警告類型。

列舉
WARNING_TYPE_UNSPECIFIED 未指定警示類型。
LOW_AUDIO_LEVEL 語音樣本的音訊音量過低 (例如 RMS 振幅偏低)。

VoiceInstructionMode

語音樣本的指令模式。

列舉
VOICE_INSTRUCTION_MODE_UNSPECIFIED 未指定指令模式,預設值為 NO_INSTRUCTION。
NO_INSTRUCTION 不會使用語音指令。
GENERATE_INSTRUCTION AI 會根據音訊樣本自動生成語音指令。
CUSTOM_INSTRUCTION 使用者提供的自訂語音指令。

ErrorHandlingStrategy

定義錯誤處理策略。

列舉
ERROR_HANDLING_STRATEGY_UNSPECIFIED 未指定錯誤處理策略。
NONE 未啟用任何特定處理方式。
FALLBACK_RESPONSE 如果發生系統錯誤 (例如 LLM 錯誤),系統會向使用者傳回備援訊息。
END_SESSION 如果發生系統錯誤 (例如 LLM 錯誤),系統會發出 EndSession 信號。

ThinkingLevel

模型的思考程度設定。

列舉
THINKING_LEVEL_UNSPECIFIED 未指定思考程度。
DEFAULT 預設思考程度。
LOW 思考程度較低。
MEDIUM 中度思考程度。
HIGH 深度思考程度。

ToolExecutionMode

定義代理同時選取多個工具時的工具執行行為。

列舉
TOOL_EXECUTION_MODE_UNSPECIFIED 未指定工具執行模式。預設值為 PARALLEL。
PARALLEL 如果選取多項工具,系統會平行執行這些工具,並使用相同的 ToolContext。
SEQUENTIAL 如果選取多個工具,系統會依序執行。只有在前一個工具完成後,下一個工具才會執行,且可以查看前一個工具更新的 ToolContext。

SemanticSimilarityChannel

要使用的語意相似度管道。

列舉
SEMANTIC_SIMILARITY_CHANNEL_UNSPECIFIED 未指定指標。預設值為 TEXT。
TEXT 使用文字語意相似度。
AUDIO 使用音訊語意相似度。

ExtraToolCallBehavior

定義遇到額外工具呼叫時的行為。額外工具呼叫是指執行作業中出現的工具呼叫,但與黃金期望中的任何工具呼叫都不相符。

列舉
EXTRA_TOOL_CALL_BEHAVIOR_UNSPECIFIED 未指定行為。預設值為 FAIL。
FAIL 如果遇到額外的工具呼叫,請讓評估失敗。
ALLOW 允許額外的工具呼叫。

HallucinationMetricBehavior

幻覺指標行為。無論行為為何,系統一律會計算指標。不同之處在於,如果停用指標,系統就不會使用該指標計算整體評估分數。

列舉
HALLUCINATION_METRIC_BEHAVIOR_UNSPECIFIED 未指定幻覺指標行為。
DISABLED 停用錯覺指標。
ENABLED 啟用錯覺指標。

類型

OpenAPI 資料型別。

列舉
TYPE_UNSPECIFIED 未指定類型。
STRING 字串類型。
INTEGER 整數類型。
NUMBER 數字類型。
BOOLEAN 布林值型別。
OBJECT 物件類型。
ARRAY 陣列類型。

NullValue

代表 JSON null。

NullValue 是信號,使用只有一個值的列舉,代表 Value 型別聯集的空值。

如果 NullValue 類型的欄位值不是 0,則視為無效。大多數 ProtoJSON 序列化程式都會發出 Value,並將 null_value 設為 JSON null (不論整數值為何),因此會來回傳輸至 0 值。

列舉
NULL_VALUE 空值。

類型

引擎類型。請參閱 https://cloud.google.com/generative-ai-app-builder/docs/reference/rest/v1/SolutionType 和 https://cloud.google.com/generative-ai-app-builder/docs/create-datastore-ingest 的說明文件。

列舉
TYPE_UNSPECIFIED 未指定引擎類型。
ENGINE_TYPE_CHAT 即時通訊引擎類型。應用程式的 SOLUTION_TYPE_CHAT 引擎。新增至應用程式的所有連接器資料儲存庫都會新增至這個引擎。

ChannelType

管道設定檔的類型。

列舉
UNKNOWN 管道類型不明。
WEB_UI 網頁 UI 管道。
API API 管道。
TWILIO Twilio 管道。
GOOGLE_TELEPHONY_PLATFORM Google Telephony Platform 管道。
CONTACT_CENTER_AS_A_SERVICE Contact Center as a Service (CCaaS) 管道。
CONTACT_CENTER_AS_A_SERVICE_CHAT Contact Center as a Service (CCaaS Chat) 管道。
FIVE9 Five9 頻道。
CONTACT_CENTER_INTEGRATION 第三方客服中心整合管道。
WHATSAPP WhatsApp 頻道。
INSTAGRAM Instagram 頻道。

角色

頻道的角色。

列舉
UNKNOWN UNKNOWN persona。
CONCISE 代理會簡明扼要地回覆
CHATTY 代理人提供額外背景資訊、說明和詳細資料

模態

網頁小工具的模式。

列舉
MODALITY_UNSPECIFIED 不明模式。
CHAT_AND_VOICE 小工具支援即時通訊和語音輸入。
VOICE_ONLY 小工具僅支援語音輸入。
CHAT_ONLY 小工具僅支援輸入文字。
CHAT_VOICE_AND_VIDEO 小工具支援文字、語音和視訊輸入。

主題

網頁小工具的主題。

列舉
THEME_UNSPECIFIED 不明主題。
LIGHT 淺色主題。
DARK 深色主題。

輸出內容的結構定義

這個資源表示屬於網路 API 呼叫結果的長時間執行作業。

作業

JSON 表示法
{
  "name": string,
  "metadata": {
    "@type": string,
    field1: ...,
    ...
  },
  "done": boolean,

  // Union field result can be only one of the following:
  "error": {
    object (Status)
  },
  "response": {
    "@type": string,
    field1: ...,
    ...
  }
  // End of list of possible types for union field result.
}
欄位
name

string

伺服器指派的名稱,而且只有在當初傳回這個名稱的服務中是不重複項目。如果您使用預設的 HTTP 對應,則 name 應該是以 operations/{unique_id} 結尾的資源名稱。

metadata

object

與作業相關聯的服務專屬中繼資料,通常包含進度資訊和常用中繼資料 (例如建立時間)。部分服務可能不會提供這類中繼資料。凡是會傳回長時間執行作業的方法,都應記錄中繼資料類型 (如有)。

包含任意類型欄位的物件。額外的 "@type" 欄位則包含能辨識類型的 URI。例如 { "id": 1234, "@type": "types.example.com/standard/id" }。

done

boolean

如果值為 false,代表作業仍在執行中。如果值為 true,代表作業已完成,系統會顯示 error 或 response 的執行結果。

聯集欄位 result。這是作業的執行結果,可能為 error,或是有效的 response。如果 done == false,系統不會將結果設定為 error 或 response。如果 done == true,系統只能將結果設定為 error 或 response。部分服務可能不會提供結果。result 只能是下列其中一個設定:
error

object (Status)

作業失敗或取消時顯示的錯誤結果。

response

object

作業執行成功時的一般回應。如果原始方法在執行成功時沒有傳回資料 (例如 Delete),則回應為 google.protobuf.Empty。如果原始方法是標準的 Get/Create/Update,回應則應該為資源。如果是其他方法,回應必須包含類型 XxxResponse,其中 Xxx 是原始方法的名稱。舉例來說,如果原始方法的名稱為 TakeSnapshot(),您就能推測出回應類型應該是 TakeSnapshotResponse。

包含任意類型欄位的物件。額外的 "@type" 欄位則包含能辨識類型的 URI。範例:{ "id": 1234, "@type": "types.example.com/standard/id" }。

不限

JSON 表示法
{
  "typeUrl": string,
  "value": string
}
欄位
typeUrl

string

以 URI 參照識別序列化 Protobuf 訊息的類型,該參照包含以斜線結尾的前置字元,以及完整合格的類型名稱。

範例:type.googleapis.com/google.protobuf.StringValue

這個字串必須包含至少一個 / 字元,且最後一個 / 後的內容必須是正規形式的類型完整名稱,且不得有開頭點。請勿在這些 URI 參照中寫入配置,以免用戶端嘗試與其聯絡。

前置字元是任意的,Protobuf 實作項目應會直接去除最後一個 / 之前的所有內容,以識別類型。type.googleapis.com/ 是常見的預設前置字串,部分舊版導入作業需要使用這個前置字串。這個前置字元不會指出型別的來源,且含有這個前置字元的 URI 不會回應任何要求。

所有類型網址字串都必須是合法的 URI 參照,且 (就文字格式而言) 參照內容只能包含英數字元、百分比編碼逸出字元,以及下列集合中的字元 (不包括外側的反引號):/-.~_!$&()*+,;=。雖然我們允許百分比編碼,但實作時不應取消逸出,以免與現有剖析器混淆。舉例來說,type.googleapis.com%2FFoo 應遭拒絕。

在 Any 的原始設計中,我們曾考慮在這些型別網址啟動型別解析服務,但 Protobuf 從未實作這項服務,且認為聯絡這些網址有問題,可能造成安全性問題。請勿嘗試輸入類型網址。

value

string (bytes format)

保存 type_url 所描述類型的 Protobuf 序列化。

Base64 編碼字串。

狀態

JSON 表示法
{
  "code": integer,
  "message": string,
  "details": [
    {
      "@type": string,
      field1: ...,
      ...
    }
  ]
}
欄位
code

integer

狀態碼,應為 google.rpc.Code 的列舉值。

message

string

向開發人員顯示的錯誤訊息,應以英文呈現。所有面向使用者的錯誤訊息都應經過本地化,並透過 google.rpc.Status.details 欄位傳送,或是由用戶端加以本地化。

details[]

object

包含錯誤詳細資料的訊息清單。這是供 API 使用的一組常用訊息類型。

包含任意類型欄位的物件。額外的 "@type" 欄位則包含能辨識類型的 URI。範例:{ "id": 1234, "@type": "types.example.com/standard/id" }。

工具註解

工具註解會傳送至 MCP 用戶端,說明特定工具的基本風險。大多數用戶端會將這些提示視為不受信任,但可用於決定何時可能向使用者傳送確認提示。

除了標題字串,以下布林值提示的定義如下:

  • readOnlyHint:如果為 true,工具不會修改環境。預設值為 false。
  • destructiveHint:如果為 true,工具可以執行破壞性動作。如果為 false,工具只能執行加法動作。預設值:true。
  • idempotentHint:如果為 true,以相同引數重複呼叫工具時,不會對環境產生額外影響。預設值為 false。
  • openWorldHint:設為 true 時,工具可與外部實體的「開放世界」互動。如果為 false,工具只能與內部實體互動。舉例來說,網路搜尋工具屬於開放世界,記憶體工具則不屬於開放世界。

破壞性提示:✅ | 等冪提示:❌ | 唯讀提示:❌ | 開放世界提示:❌